// file: isip_model_combiner.h
//
// this is the header file for the isip_recognize utility
//
// make sure the file is included only once
//
#ifndef ISIP_UTIL_MODEL_COMBINER
#define ISIP_UTIL_MODEL_COMBINER

// isip include files
//
#include <CommandLine.h>
#include <HashTable.h>
#include <SearchSymbol.h>
#include <StatisticalModel.h>
#include <SearchLevel.h>

static const String PROG_NAME(L"isip_model_combiner");
static const String OPTION_PARAMS_FILE(L"parameter_file");
static const String OPTION_OUTPUT_TYPE(L"type");
static const String OPTION_OUTPUT_FILE(L"output_file");
static const String OPTION_OUTPUT_LEVEL(L"output_level");
static const String OPTION_DEBUG_LEVEL(L"debug_level");
static const String OPTION_VERBOSITY_LEVEL(L"verbose");
static const String OPTION_LOG_FILE(L"log_file");

static const String OPTION_TYPE_TEXT(L"TEXT");
static const String OPTION_TYPE_BINARY(L"BINARY");

static const String PARAM_SYMBOL(L"symbol");
static const String PARAM_MODEL(L"model");
static const String EMPTY(String::NULL_STRING);
static const String LOG_FILE_DEFAULT(L"-");

static const long DEF_OUTPUT_LEVEL = -1;

static const Integral::DEBUG DEBUG_LEVEL_DEFAULT=Integral::NONE;
static const Integral::DEBUG VERBOSITY_LEVEL_DEFAULT=Integral::NONE;

// end of file
//
#endif
